package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuI18nResourcesEntryCollection extends AbstractObjectCollection 
{
    public FeishuI18nResourcesEntryCollection()
    {
        super(FeishuI18nResourcesEntryInfo.class);
    }
    public boolean add(FeishuI18nResourcesEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuI18nResourcesEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuI18nResourcesEntryInfo item)
    {
        return removeObject(item);
    }
    public FeishuI18nResourcesEntryInfo get(int index)
    {
        return(FeishuI18nResourcesEntryInfo)getObject(index);
    }
    public FeishuI18nResourcesEntryInfo get(Object key)
    {
        return(FeishuI18nResourcesEntryInfo)getObject(key);
    }
    public void set(int index, FeishuI18nResourcesEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuI18nResourcesEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuI18nResourcesEntryInfo item)
    {
        return super.indexOf(item);
    }
}